Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Class HintValueConverter.StringToInteger

    java.lang.Object
      org.apache.openjpa.persistence.HintValueConverter.StringToInteger

All Implemented Interfaces:
  HintValueConverter

Enclosing interface:
  HintValueConverter

    public static class HintValueConverter.StringToInteger

extends Object
implements HintValueConverter

Converts a String to an integer.

Author:
  Pinaki Poddar

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.openjpa.persistence.HintValueConverter
`HintValueConverter.EnumToInteger, HintValueConverter.OpenJPAEnumToInteger, HintValueConverter.StringToBoolean, HintValueConverter.StringToInteger`

Constructor Summary
`HintValueConverter.StringToInteger()` Construct a converter that will simply translate a numeric string to a integer.
`HintValueConverter.StringToInteger(String[] strings, int[] numbers)` Construct a converter that will translate any of the given strings to corresponding integer.

Method Summary
`boolean` | `canConvert(Class<?> cls)` Affirm if this receiver can convert the value of the given type.
`Object` | `convert(Object s)` Convert the user-specified value to a kernel consumable value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HintValueConverter.StringToInteger

    public HintValueConverter.StringToInteger()

  Construct a converter that will simply translate a numeric string to a integer.

### HintValueConverter.StringToInteger

    public HintValueConverter.StringToInteger(String[] strings,
                                              int[] numbers)

  Construct a converter that will translate any of the given strings to corresponding integer. Both arrays must not be null, must not contain null elements and must have the same dimension.

  Parameters:
    `strings` -
    `numbers` -

Method Detail

### convert

    public Object convert(Object s)

  Description copied from interface: `HintValueConverter`
  Convert the user-specified value to a kernel consumable value.

  Specified by:
    `convert` in interface `HintValueConverter`
  Parameters:
    `s` - the user-specified value
  Returns:
    an equivalent value consumable by a kernel construct.

### canConvert

    public boolean canConvert(Class<?> cls)

  Description copied from interface: `HintValueConverter`
  Affirm if this receiver can convert the value of the given type.

  Specified by:
    `canConvert` in interface `HintValueConverter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.